totemudp_instance Struct Reference
Collaboration diagram for totemudp_instance:
[legend]

## Data Fields

qb_loop_t * | totemudp_poll_handle
struct totem_interface * | totem_interface
int | netif_state_report
int | netif_bind_state
void * | context
void(* | totemudp_deliver_fn )(void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)
void(* | totemudp_iface_change_fn )(void *context, const struct totem_ip_address *iface_address, unsigned int ring_no)
void(* | totemudp_target_set_completed )(void *context)
int | totemudp_log_level_security
int | totemudp_log_level_error
int | totemudp_log_level_warning
int | totemudp_log_level_notice
int | totemudp_log_level_debug
int | totemudp_subsys_id
void(* | totemudp_log_printf )(int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf
void(*) void | udp_context )
struct qb_list_head | member_list
char | iov_buffer [UDP_RECEIVE_FRAME_SIZE_MAX]
char | iov_buffer_flush [UDP_RECEIVE_FRAME_SIZE_MAX]
struct iovec | totemudp_iov_recv
struct iovec | totemudp_iov_recv_flush
struct totemudp_socket | totemudp_sockets
struct totem_ip_address | mcast_address
int | stats_sent
int | stats_recv
int | stats_delv
int | stats_remcasts
int | stats_orf_token
struct timeval | stats_tv_start
struct totem_ip_address | my_id
int | firstrun
qb_loop_timer_handle | timer_netif_check_timeout
unsigned int | my_memb_entries
int | flushing
struct totem_config * | totem_config
totemsrp_stats_t * | stats
struct totem_ip_address | token_target

## Detailed Description

Definition at line 102 of file totemudp.c.

## Field Documentation

## context

void* totemudp_instance::context

Definition at line 111 of file totemudp.c.

Referenced by totemudp_token_target_set().

## firstrun

int totemudp_instance::firstrun

Definition at line 180 of file totemudp.c.

## flushing

int totemudp_instance::flushing

Definition at line 186 of file totemudp.c.

Referenced by totemudp_recv_flush().

## iov_buffer

char totemudp_instance::iov_buffer[UDP_RECEIVE_FRAME_SIZE_MAX]

Definition at line 154 of file totemudp.c.

## iov_buffer_flush

char totemudp_instance::iov_buffer_flush[UDP_RECEIVE_FRAME_SIZE_MAX]

Definition at line 156 of file totemudp.c.

## mcast_address

struct totem_ip_address totemudp_instance::mcast_address

Definition at line 156 of file totemudp.c.

## member_list

struct qb_list_head totemudp_instance::member_list

Definition at line 150 of file totemudp.c.

Referenced by totemudp_member_add(), totemudp_member_remove(), totemudp_nodestatus_get(), and totemudp_token_target_set().

## my_id

struct totem_ip_address totemudp_instance::my_id

Definition at line 174 of file totemudp.c.

## my_memb_entries

unsigned int totemudp_instance::my_memb_entries

Definition at line 184 of file totemudp.c.

Referenced by totemudp_processor_count_set().

## netif_bind_state

int totemudp_instance::netif_bind_state

Definition at line 109 of file totemudp.c.

Referenced by totemudp_nodestatus_get().

## netif_state_report

int totemudp_instance::netif_state_report

Definition at line 107 of file totemudp.c.

## stats

totemsrp_stats_t* totemudp_instance::stats

Definition at line 190 of file totemudp.c.

## stats_delv

int totemudp_instance::stats_delv

Definition at line 170 of file totemudp.c.

## stats_orf_token

int totemudp_instance::stats_orf_token

Definition at line 174 of file totemudp.c.

## stats_recv

int totemudp_instance::stats_recv

Definition at line 168 of file totemudp.c.

## stats_remcasts

int totemudp_instance::stats_remcasts

Definition at line 172 of file totemudp.c.

## stats_sent

int totemudp_instance::stats_sent

Definition at line 166 of file totemudp.c.

## stats_tv_start

struct timeval totemudp_instance::stats_tv_start

Definition at line 174 of file totemudp.c.

## timer_netif_check_timeout

qb_loop_timer_handle totemudp_instance::timer_netif_check_timeout

Definition at line 182 of file totemudp.c.

Referenced by totemudp_processor_count_set().

## token_target

struct totem_ip_address totemudp_instance::token_target

Definition at line 190 of file totemudp.c.

Referenced by totemudp_member_remove(), and totemudp_token_target_set().

## totem_config

struct totem_config* totemudp_instance::totem_config

Definition at line 188 of file totemudp.c.

Referenced by totemudp_nodestatus_get(), and totemudp_processor_count_set().

## totem_interface

struct totem_interface* totemudp_instance::totem_interface

Definition at line 105 of file totemudp.c.

## totemudp_deliver_fn

void(* totemudp_instance::totemudp_deliver_fn) (void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)

Definition at line 113 of file totemudp.c.

## totemudp_iface_change_fn

void(* totemudp_instance::totemudp_iface_change_fn) (void *context, const struct totem_ip_address *iface_address, unsigned int ring_no)

Definition at line 119 of file totemudp.c.

## totemudp_iov_recv

struct iovec totemudp_instance::totemudp_iov_recv

Definition at line 156 of file totemudp.c.

## totemudp_iov_recv_flush

struct iovec totemudp_instance::totemudp_iov_recv_flush

Definition at line 156 of file totemudp.c.

Referenced by totemudp_recv_mcast_empty().

## totemudp_log_level_debug

int totemudp_instance::totemudp_log_level_debug

Definition at line 137 of file totemudp.c.

## totemudp_log_level_error

int totemudp_instance::totemudp_log_level_error

Definition at line 131 of file totemudp.c.

## totemudp_log_level_notice

int totemudp_instance::totemudp_log_level_notice

Definition at line 135 of file totemudp.c.

## totemudp_log_level_security

int totemudp_instance::totemudp_log_level_security

Definition at line 129 of file totemudp.c.

## totemudp_log_level_warning

int totemudp_instance::totemudp_log_level_warning

Definition at line 133 of file totemudp.c.

## totemudp_log_printf

void(* totemudp_instance::totemudp_log_printf) (int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf

Definition at line 141 of file totemudp.c.

## totemudp_poll_handle

qb_loop_t* totemudp_instance::totemudp_poll_handle

Definition at line 103 of file totemudp.c.

Referenced by totemudp_finalize(), and totemudp_processor_count_set().

## totemudp_sockets

struct totemudp_socket totemudp_instance::totemudp_sockets

Definition at line 156 of file totemudp.c.

Referenced by totemudp_finalize(), totemudp_recv_flush(), and totemudp_recv_mcast_empty().

## totemudp_subsys_id

int totemudp_instance::totemudp_subsys_id

Definition at line 139 of file totemudp.c.

## totemudp_target_set_completed

void(* totemudp_instance::totemudp_target_set_completed) (void *context)

Definition at line 124 of file totemudp.c.

Referenced by totemudp_token_target_set().

## udp_context

void(*) void totemudp_instance::udp_context)

Definition at line 150 of file totemudp.c.

Referenced by totemudp_finalize(), totemudp_iface_check(), totemudp_mcast_flush_send(), totemudp_mcast_noflush_send(), totemudp_member_add(), totemudp_member_remove(), totemudp_nodestatus_get(), totemudp_processor_count_set(), totemudp_recv_flush(), totemudp_recv_mcast_empty(), totemudp_token_send(), and totemudp_token_target_set().

The documentation for this struct was generated from the following file:

- totemudp.c